Bug 245333 - shared lib included in two packages
shared lib included in two packages
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: koffice (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-22 10:39 EDT by Michael Schwendt
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-22 18:45:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2007-06-22 10:39:28 EDT
koffice-devel provides libkudesignercore.so
koffice-kugar provides libkudesignercore.so

Indeed:

$ rpmls -p koffice-devel-1.6.2-3.fc7.i386.rpm | grep kudes
-rwxr-xr-x  /usr/lib/libkudesignercore.so

$ rpmls -p koffice-devel-1.6.2-3.fc7.i386.rpm | grep libkudesi
-rwxr-xr-x  /usr/lib/libkudesignercore.so
Comment 1 Michael Schwendt 2007-06-22 18:45:01 EDT
koffice-devel provides libkudesignercore.so
koffice-kugar provides libkudesignercore.so
  required by: koffice-kugar - 1.6.3-3.fc7.i386

Because of that, closing as WORKSFORME for now.
However, the lib is the only non-link in koffice-devel:

lrwxrwxrwx root  root        24 /usr/lib/libkarboncommon.so
lrwxrwxrwx root  root        24 /usr/lib/libkchartcommon.so
lrwxrwxrwx root  root        29 /usr/lib/libkchartimageexport.so
lrwxrwxrwx root  root        19 /usr/lib/libkdchart.so
lrwxrwxrwx root  root        20 /usr/lib/libkexicore.so
lrwxrwxrwx root  root        25 /usr/lib/libkexidatatable.so
lrwxrwxrwx root  root        18 /usr/lib/libkexidb.so
lrwxrwxrwx root  root        24 /usr/lib/libkexidbparser.so
lrwxrwxrwx root  root        31 /usr/lib/libkexiextendedwidgets.so
lrwxrwxrwx root  root        25 /usr/lib/libkexiformutils.so
lrwxrwxrwx root  root        24 /usr/lib/libkexiguiutils.so
lrwxrwxrwx root  root        20 /usr/lib/libkeximain.so
lrwxrwxrwx root  root        23 /usr/lib/libkeximigrate.so
lrwxrwxrwx root  root        29 /usr/lib/libkexirelationsview.so
lrwxrwxrwx root  root        20 /usr/lib/libkexisql2.so
lrwxrwxrwx root  root        20 /usr/lib/libkexisql3.so
lrwxrwxrwx root  root        21 /usr/lib/libkexiutils.so
lrwxrwxrwx root  root        25 /usr/lib/libkformdesigner.so
lrwxrwxrwx root  root        23 /usr/lib/libkformulalib.so
lrwxrwxrwx root  root        23 /usr/lib/libkiviocommon.so
lrwxrwxrwx root  root        19 /usr/lib/libkochart.so
lrwxrwxrwx root  root        23 /usr/lib/libkofficecore.so
lrwxrwxrwx root  root        21 /usr/lib/libkofficeui.so
lrwxrwxrwx root  root        21 /usr/lib/libkopainter.so
lrwxrwxrwx root  root        21 /usr/lib/libkopalette.so
lrwxrwxrwx root  root        22 /usr/lib/libkoproperty.so
lrwxrwxrwx root  root        18 /usr/lib/libkotext.so
lrwxrwxrwx root  root        17 /usr/lib/libkowmf.so
lrwxrwxrwx root  root        33 /usr/lib/libkpresenterimageexport.so
lrwxrwxrwx root  root        29 /usr/lib/libkpresenterprivate.so
lrwxrwxrwx root  root        26 /usr/lib/libkrita_cmyk_u16.so
lrwxrwxrwx root  root        26 /usr/lib/libkrita_gray_u16.so
lrwxrwxrwx root  root        25 /usr/lib/libkrita_lms_f32.so
lrwxrwxrwx root  root        29 /usr/lib/libkrita_rgb_f16half.so
lrwxrwxrwx root  root        25 /usr/lib/libkrita_rgb_f32.so
lrwxrwxrwx root  root        25 /usr/lib/libkrita_rgb_u16.so
lrwxrwxrwx root  root        27 /usr/lib/libkrita_ycbcr_u16.so
lrwxrwxrwx root  root        26 /usr/lib/libkrita_ycbcr_u8.so
lrwxrwxrwx root  root        22 /usr/lib/libkritacolor.so
lrwxrwxrwx root  root        23 /usr/lib/libkritacommon.so
lrwxrwxrwx root  root        26 /usr/lib/libkritagrayscale.so
lrwxrwxrwx root  root        22 /usr/lib/libkritaimage.so
lrwxrwxrwx root  root        20 /usr/lib/libkritargb.so
lrwxrwxrwx root  root        26 /usr/lib/libkritascripting.so
lrwxrwxrwx root  root        19 /usr/lib/libkritaui.so
lrwxrwxrwx root  root        20 /usr/lib/libkrossapi.so
lrwxrwxrwx root  root        21 /usr/lib/libkrossmain.so
lrwxrwxrwx root  root        25 /usr/lib/libkspreadcommon.so
lrwxrwxrwx root  root        18 /usr/lib/libkstore.so
-rwxr-xr-x root  root    482680 /usr/lib/libkudesignercore.so
lrwxrwxrwx root  root        20 /usr/lib/libkugarlib.so
lrwxrwxrwx root  root        33 /usr/lib/libkwmailmerge_interface.so
lrwxrwxrwx root  root        16 /usr/lib/libkwmf.so
lrwxrwxrwx root  root        30 /usr/lib/libkwordexportfilters.so
lrwxrwxrwx root  root        24 /usr/lib/libkwordprivate.so
Comment 2 Rex Dieter 2007-06-23 14:46:35 EDT
* Sat Jun 24 2007 Rex Dieter <rdieter[AT]fedoraproject.org>
1.6.2-7
- -devel: %exclude %_libdir/libkudesignercore.so (#245333)

Note You need to log in before you can comment on or make changes to this bug.